{
	onStart(source) {
    this.add("-ability", source, "Gravity Wings");
		if (this.field.pseudoWeather['gravity']) {
			this.field.removePseudoWeather('gravity');
		} else {
			this.field.addPseudoWeather('gravity');
		}
	},
  onTryBoost(boost, target, source, effect) {
    if (effect.name === "Sticky Web") {
      return false;
    }
  },
  onDamage(damage, target, source, effect) {
    if (effect && effect.id === "spikes") {
      return false;
    }
    if (effect && effect.id === "shockbomb") {
      return false;
    }
  },
  onSetStatus(status, target, source, effect) {
    if (effect && effect.id === "toxicspikes") {
      return false;
    }
    if (effect && effect.id === "livewire") {
      return false;
    }
  },
  onTryHit(target, source, move) {
    if (target !== source && move.type === "Ground") {
      this.add("-immune", target, "[from] ability: Gravity Wings");
      return null;
    }
  },
  flags: { breakable: 1 },
  name: "Gravity Wings",
  rating: 3.5,
  num: -32120
}